#ifndef charset_h
#define charset_h

/*========================================================================*
 *	L萔B
 *========================================================================*/

/*
 *	WB
 */
enum {
	KCHARSET_NOTHING = -1,

	KCHARSET_ASCII	 = 0,	KCHARSET_7BIT_CHARACTER		= KCHARSET_ASCII,
	KCHARSET_ISO8859_1,		KCHARSET_1BYTE_CHARACTER	= KCHARSET_ISO8859_1,
	KCHARSET_ISO8859_2,
	KCHARSET_ISO8859_3,
	KCHARSET_ISO8859_4,
	KCHARSET_ISO8859_5,
	KCHARSET_ISO8859_6,
	KCHARSET_ISO8859_7,
	KCHARSET_ISO8859_8,
	KCHARSET_ISO8859_9,
	KCHARSET_ISO8859_10,
	KCHARSET_ISO8859_11,
	KCHARSET_ISO8859_12,
	KCHARSET_ISO8859_13,
	KCHARSET_ISO8859_14,
	KCHARSET_ISO8859_15,
	KCHARSET_JISX0201_1976,
	
	/*
	 *	{(2oCgW)
	 */
	KCHARSET_JISX0208_1978,	KCHARSET_2BYTES_CHARACTER	= KCHARSET_JISX0208_1978,
	KCHARSET_JISX0208_1983			= KCHARSET_2BYTES_CHARACTER,
	KCHARSET_JISX0213_2000_PLANE1	= KCHARSET_2BYTES_CHARACTER,
	/*	JISX0213_2004_PLANE1  JISX0208-1983,JISX0213-2000PLANE1ɑ΂Ċ{Iɏʌ݊B*/
	KCHARSET_JISX0213_2004_PLANE1	= KCHARSET_2BYTES_CHARACTER,

	KCHARSET_JISX0212_1990,
	KCHARSET_JISX0213_2000_PLANE2	= KCHARSET_JISX0212_1990,

	/*
	 *	(2oCgW)
	 */
	KCHARSET_GB2312_1980,
	KCHARSET_GB12345_90,
	/*
	 *	(2oCgW)̕⏕W(supplementary character sets)
	 */
	KCHARSET_GB7589_87,
	KCHARSET_GB7590_87,
	KCHARSET_GB13131_91,
	KCHARSET_GB13132_91,

	/*
	 * 	؍(2oCgW)
	 */
	KCHARSET_KSC5601_1987,
	KCHARSET_KSC5601_1992,

	/*
	 *	(3oCgW) 
	 */
	KCHARSET_CNS11643_1992,	KCHARSET_3BYTES_CHARACTER	= KCHARSET_CNS11643_1992,

	/*	UNICODE (16bit=code + 8bit=plane)
	 *	SURROGATE PAIR z 24bit ɂȂB
	 */
	KCHARSET_UNICODE,

	MAX_CHARSET,
} ;

/*
 *	ȕWBWindow Event `B
 */
enum {
	KCHARSET_XKEYSYM	= MAX_CHARSET + 1,
	KCHARSET_XCHAR,
	KCHARSET_EVENT,
} ;

#endif

